# Enum Class ObjectType

java.lang.Object
java.lang.Enum<ObjectType>
com.independentsoft.pst.ObjectType

All Implemented Interfaces:
  `Serializable`, `Comparable<ObjectType>`, `Constable`

public enum ObjectType extends Enum<ObjectType>
Specifies the type of a MAPI object (the value of PR_OBJECT_TYPE).

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS_BOOK`
  An address book.
  `ADDRESS_BOOK_CONTAINER`
  An address book container.
  `ATTACHMENT`
  A message attachment.
  `DISTRIBUTION_LIST`
  A distribution list.
  `FOLDER`
  A folder.
  `FORM`
  A form.
  `MAIL_USER`
  A messaging user (a person).
  `MESSAGE`
  A message.
  `MESSAGE_STORE`
  A message store.
  `NONE`
  The object type is not specified.
  `PROFILE_SELECTION`
  A profile selection.
  `SESSION`
  A session.
  `STATUS`
  A status object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObjectType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ObjectType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDRESS_BOOK_CONTAINER

    public static final ObjectType ADDRESS_BOOK_CONTAINER
    An address book container.

  - ### ADDRESS_BOOK

    public static final ObjectType ADDRESS_BOOK
    An address book.

  - ### ATTACHMENT

    public static final ObjectType ATTACHMENT
    A message attachment.

  - ### DISTRIBUTION_LIST

    public static final ObjectType DISTRIBUTION_LIST
    A distribution list.

  - ### FOLDER

    public static final ObjectType FOLDER
    A folder.

  - ### FORM

    public static final ObjectType FORM
    A form.

  - ### MAIL_USER

    public static final ObjectType MAIL_USER
    A messaging user (a person).

  - ### MESSAGE

    public static final ObjectType MESSAGE
    A message.

  - ### PROFILE_SELECTION

    public static final ObjectType PROFILE_SELECTION
    A profile selection.

  - ### SESSION

    public static final ObjectType SESSION
    A session.

  - ### STATUS

    public static final ObjectType STATUS
    A status object.

  - ### MESSAGE_STORE

    public static final ObjectType MESSAGE_STORE
    A message store.

  - ### NONE

    public static final ObjectType NONE
    The object type is not specified.

- ## Method Details

  - ### values

    public static ObjectType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ObjectType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null